## AgsClearBuffer

AgsClearBuffer — switch buffer flag of device

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsClearBuffer * | ags_clear_buffer_new ()

## Properties

GObject * | device | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsClearBuffer

## Includes

    #include <ags/audio/task/ags_clear_buffer.h>

## Description

The AgsClearBuffer task switches the buffer flag of device.

## Functions

### ags_clear_buffer_new ()

    AgsClearBuffer *
    ags_clear_buffer_new (GObject *device);

Create a new instance of AgsClearBuffer.

#### Parameters

device | the AgsSoundcard or AgsSequencer |

#### Returns

the new AgsClearBuffer.

Since: 3.0.0

## Property Details

### The `“device”` property

      “device”                   GObject *

The assigned AgsSoundcard or AgsSequencer

Owner: AgsClearBuffer

Flags: Read / Write

Since: 3.0.0